import { AxiosApiClient, InvoiceDto, TodoSurchargeDto } from "@smallstack/axios-api-client";
import { CounterStore } from "@smallstack/cms-components";
import { RouterUtilService } from "@smallstack/common-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { TodoSurchargesStore } from "../../../stores/todo-surcharges.store";
import { WorklogStore } from "../../../stores/worklog.store";
import * as i0 from "@angular/core";
interface BillingInvoiceContext {
    billingPeriod?: string;
    billingPeriodStart?: number;
    billingPeriodEnd?: number;
}
export declare class CreateInvoicesWidgetComponent extends BaseWidgetComponent {
    private axiosApiClient;
    private routerUtilService;
    protected DEFAULT_HTML5_DATE_FORMAT: string;
    protected invoices: InvoiceDto[];
    protected worklogCount: number;
    protected counter: string;
    protected surcharges: TodoSurchargeDto[];
    protected invoiceContext: BillingInvoiceContext;
    constructor(axiosApiClient: AxiosApiClient, surchargeStore: TodoSurchargesStore, counterStore: CounterStore, worklogStore: WorklogStore, routerUtilService: RouterUtilService);
    protected createBill(): () => Promise<void>;
    protected gotoInvoices(): Promise<void>;
    protected setBillingPeriodStart(date: string): void;
    protected setBillingPeriodEnd(date: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateInvoicesWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateInvoicesWidgetComponent, "smallstack-create-invoices-widget", never, {}, {}, never, never, true, never>;
}
export {};
